#pragma once

#include "finder.h"

#include <vector>

using std::vector;

class LinearFinder : public Finder {
private:
  const vector<std::string> &word_list_;

public:
  LinearFinder(const vector<std::string> &word_list);
  std::forward_list<const std::string *>
  find_prefix(std::string_view search_term) const override;
};
